USE SSISDB
GO

-- Location of the package
DECLARE @execution_id BIGINT
DECLARE @sync SMALLINT = 1
DECLARE @pkgName NVARCHAR(100) = N'021 Dynamic Values.dtsx'
DECLARE @folderName NVARCHAR(100) = N'TestingSSISPackages'
DECLARE @projName NVARCHAR(100) = N'Testing SSIS Packages'

-- Base variables
DECLARE @ppOutputDir SQL_VARIANT = N'E:\Dropbox\Presentations\Testing SSIS Packages\_output\'
DECLARE @pConnectionString SQL_VARIANT = N'Data Source=(local);Initial Catalog=TestingSSIS;Provider=SQLNCLI11.1;Integrated Security=SSPI;Auto Translate=False;'
DECLARE @pXsdFilePath SQL_VARIANT = N'E:\Dropbox\Presentations\Testing SSIS Packages\_datafiles\schema\inning.xsd'

-- Filename to test
DECLARE @pXmlFilePath SQL_VARIANT = N'E:\Dropbox\Presentations\Testing SSIS Packages\_datafiles\inning_gid_2012_04_01_kcamlb_seamlb_1.xml'


/*
	Test 1
*/
EXEC [SSISDB].[catalog].[create_execution] @package_name=@pkgName, @execution_id=@execution_id OUTPUT, @folder_name=@folderName, @project_name=@projName

-- System params
EXEC [SSISDB].[catalog].[set_execution_parameter_value] @execution_id,  @object_type=50, @parameter_name=N'SYNCHRONIZED', @parameter_value=@sync

-- User Params
EXEC [SSISDB].[catalog].[set_execution_parameter_value] @execution_id,  @object_type=20, @parameter_name=N'ppOutputDir', @parameter_value=@ppOutputDir
EXEC [SSISDB].[catalog].[set_execution_parameter_value] @execution_id,  @object_type=30, @parameter_name=N'pConnectionString', @parameter_value=@pConnectionString
EXEC [SSISDB].[catalog].[set_execution_parameter_value] @execution_id,  @object_type=30, @parameter_name=N'pXmlFilePath', @parameter_value=@pXmlFilePath
EXEC [SSISDB].[catalog].[set_execution_parameter_value] @execution_id,  @object_type=30, @parameter_name=N'pXsdFilePath', @parameter_value=@pXsdFilePath

EXEC [SSISDB].[catalog].[start_execution] @execution_id

SELECT execution_id, CASE WHEN status = 7 THEN 'Succeeded' ELSE 'Failed' END [Result]
FROM SSISDB.catalog.executions
WHERE execution_id = @execution_id


/*
	Test 2
*/

-- Test a different file
SET @pXmlFilePath = N'E:\Dropbox\Presentations\Testing SSIS Packages\_datafiles\inning_gid_2012_04_02_oakmlb_sfnmlb_1.xml'

EXEC [SSISDB].[catalog].[create_execution] @package_name=@pkgName, @execution_id=@execution_id OUTPUT, @folder_name=@folderName, @project_name=@projName

-- System params
EXEC [SSISDB].[catalog].[set_execution_parameter_value] @execution_id,  @object_type=50, @parameter_name=N'SYNCHRONIZED', @parameter_value=@sync

-- User Params
EXEC [SSISDB].[catalog].[set_execution_parameter_value] @execution_id,  @object_type=20, @parameter_name=N'ppOutputDir', @parameter_value=@ppOutputDir
EXEC [SSISDB].[catalog].[set_execution_parameter_value] @execution_id,  @object_type=30, @parameter_name=N'pConnectionString', @parameter_value=@pConnectionString
EXEC [SSISDB].[catalog].[set_execution_parameter_value] @execution_id,  @object_type=30, @parameter_name=N'pXmlFilePath', @parameter_value=@pXmlFilePath
EXEC [SSISDB].[catalog].[set_execution_parameter_value] @execution_id,  @object_type=30, @parameter_name=N'pXsdFilePath', @parameter_value=@pXsdFilePath

EXEC [SSISDB].[catalog].[start_execution] @execution_id

SELECT execution_id, CASE WHEN status = 7 THEN 'Succeeded' ELSE 'Failed' END [Result]
FROM SSISDB.catalog.executions
WHERE execution_id = @execution_id


/*
	Test 3
*/

-- Test a different file
SET @pXmlFilePath = N'E:\Dropbox\Presentations\Testing SSIS Packages\_datafiles\inning_gid_2012_04_02_oakmlb_sfnmlb_1_FAKE.xml'

EXEC [SSISDB].[catalog].[create_execution] @package_name=@pkgName, @execution_id=@execution_id OUTPUT, @folder_name=@folderName, @project_name=@projName

-- System params
EXEC [SSISDB].[catalog].[set_execution_parameter_value] @execution_id,  @object_type=50, @parameter_name=N'SYNCHRONIZED', @parameter_value=@sync

-- User Params
EXEC [SSISDB].[catalog].[set_execution_parameter_value] @execution_id,  @object_type=20, @parameter_name=N'ppOutputDir', @parameter_value=@ppOutputDir
EXEC [SSISDB].[catalog].[set_execution_parameter_value] @execution_id,  @object_type=30, @parameter_name=N'pConnectionString', @parameter_value=@pConnectionString
EXEC [SSISDB].[catalog].[set_execution_parameter_value] @execution_id,  @object_type=30, @parameter_name=N'pXmlFilePath', @parameter_value=@pXmlFilePath
EXEC [SSISDB].[catalog].[set_execution_parameter_value] @execution_id,  @object_type=30, @parameter_name=N'pXsdFilePath', @parameter_value=@pXsdFilePath

EXEC [SSISDB].[catalog].[start_execution] @execution_id

SELECT execution_id, CASE WHEN status = 7 THEN 'Succeeded' ELSE 'Failed' END [Result]
FROM SSISDB.catalog.executions
WHERE execution_id = @execution_id










