USE TestingSSIS
GO

/*
	DROP TABLE #before
	DROP TABLE #after
*/

-- Initial values

SELECT *
INTO #before
FROM staging.Pitch



/*****************
    Now revert
*****************/



-- Execute the package
DECLARE @execution_id BIGINT
EXEC [SSISDB].[catalog].[create_execution] @package_name=N'045 Regression Testing through Versioning.dtsx', @execution_id=@execution_id OUTPUT, @folder_name=N'TestingSSISPackages', @project_name=N'Testing SSIS Packages', @use32bitruntime=False, @reference_id=NULL
DECLARE @var0 SMALLINT = 1
EXEC [SSISDB].[catalog].[set_execution_parameter_value] @execution_id,  @object_type=50, @parameter_name=N'SYNCHRONIZED', @parameter_value=@var0
EXEC [SSISDB].[catalog].[start_execution] @execution_id
GO

-- Updated values
SELECT * 
INTO #after
FROM staging.Pitch


-- Any differences? Should have zero rows if no changes.
SELECT * FROM (
	SELECT 'before' [DataSet], pitch_id, game_id, description, atbat_Id, type, pitch_type, x, y, sv_id, start_speed, end_speed, sz_top, sz_bot, pfx_x, pfx_z, px, pz, x0, y0, z0, vx0, vy0, vz0, ax, ay, az, break_y, break_angle, break_length, type_confidence, zone, nasty, spin_dir, spin_rate, cc, mt, on_1b, on_2b, on_3b, half_inning
	FROM #before
	EXCEPT
	SELECT 'before' [DataSet], pitch_id, game_id, description, atbat_Id, type, pitch_type, x, y, sv_id, start_speed, end_speed, sz_top, sz_bot, pfx_x, pfx_z, px, pz, x0, y0, z0, vx0, vy0, vz0, ax, ay, az, break_y, break_angle, break_length, type_confidence, zone, nasty, spin_dir, spin_rate, cc, mt, on_1b, on_2b, on_3b, half_inning
	FROM #after
) t1

UNION ALL

SELECT * FROM (
	SELECT 'after' [DataSet], pitch_id, game_id, description, atbat_Id, type, pitch_type, x, y, sv_id, start_speed, end_speed, sz_top, sz_bot, pfx_x, pfx_z, px, pz, x0, y0, z0, vx0, vy0, vz0, ax, ay, az, break_y, break_angle, break_length, type_confidence, zone, nasty, spin_dir, spin_rate, cc, mt, on_1b, on_2b, on_3b, half_inning
	FROM #after
	EXCEPT
	SELECT 'after' [DataSet], pitch_id, game_id, description, atbat_Id, type, pitch_type, x, y, sv_id, start_speed, end_speed, sz_top, sz_bot, pfx_x, pfx_z, px, pz, x0, y0, z0, vx0, vy0, vz0, ax, ay, az, break_y, break_angle, break_length, type_confidence, zone, nasty, spin_dir, spin_rate, cc, mt, on_1b, on_2b, on_3b, half_inning
	FROM #before
) t2