USE SSISDB
GO


DECLARE @validation_id BIGINT

EXEC [SSISDB].[catalog].[validate_package] @package_name=N'050 Runtime Validation.dtsx'
	, @validation_id=@validation_id OUTPUT
	, @folder_name=N'TestingSSISPackages'
	, @project_name=N'Testing SSIS Packages'
	, @use32bitruntime=False
	, @environment_scope=D
	, @reference_id=NULL

-- Wait until validation is done. THere is no Synchronized setting, so we have to loop.
DECLARE @i INT = 0
WHILE @i <> 1
BEGIN
	SELECT @i = 1
	FROM catalog.validations
	WHERE validation_id = @validation_id
	AND end_time IS NOT NULL 
	-- And wait for some amount of time
END

-- Show status and output
SELECT CASE WHEN status = 7 THEN 'Succeeded' ELSE 'Failed' END [Status]
FROM catalog.validations
WHERE validation_id = @validation_id

GO


-- Validate the second package
DECLARE @validation_id BIGINT

EXEC [SSISDB].[catalog].[validate_package] @package_name=N'051 Runtime Validation - Fail.dtsx'
	, @validation_id=@validation_id OUTPUT
	, @folder_name=N'TestingSSISPackages'
	, @project_name=N'Testing SSIS Packages'
	, @use32bitruntime=False
	, @environment_scope=D
	, @reference_id=NULL

-- Wait until validation is done
DECLARE @i INT = 0
WHILE @i <> 1
BEGIN
	SELECT @i = 1
	FROM catalog.validations
	WHERE validation_id = @validation_id
	AND end_time IS NOT NULL 
END

-- Show status and output
SELECT CASE WHEN status = 7 THEN 'Succeeded' ELSE 'Failed' END [Status]
FROM catalog.validations
WHERE validation_id = @validation_id

